org.apache.ignite.internal.processors.platform.dotnet

## Class PlatformDotNetPortableConfiguration

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.dotnet.PlatformDotNetPortableConfiguration

All Implemented Interfaces:
  PortableMarshalAware

    public class PlatformDotNetPortableConfiguration
    extends Object
    implements PortableMarshalAware

Mirror of .Net class PortableConfiguration.cs

### Constructor Summary

Constructors
Constructor and Description
`PlatformDotNetPortableConfiguration()` Default constructor.
`PlatformDotNetPortableConfiguration(PlatformDotNetPortableConfiguration cfg)` Copy constructor.

### Method Summary

Methods
`String` `getDefaultIdMapper()`
`String` `getDefaultNameMapper()`
`String` `getDefaultSerializer()`
`Collection<String>` `getTypes()`
`Collection<PlatformDotNetPortableTypeConfiguration>` `getTypesConfiguration()`
`boolean` `isDefaultKeepDeserialized()` Gets default keep deserialized flag.
`boolean` `isDefaultMetadataEnabled()` Gets default metadata enabled flag.
`void` `readPortable(PortableReader reader)` Reads fields from provided reader.
`void` `setDefaultIdMapper(String dfltIdMapper)`
`void` `setDefaultKeepDeserialized(boolean keepDeserialized)` Sets default keep deserialized flag.
`void` `setDefaultMetadataEnabled(boolean dfltMetadataEnabled)` Sets default metadata enabled flag.
`void` `setDefaultNameMapper(String dfltNameMapper)`
`void` `setDefaultSerializer(String dfltSerializer)`
`void` `setTypes(Collection<String> types)`
`void` `setTypesConfiguration(Collection<PlatformDotNetPortableTypeConfiguration> typesCfg)`
`String` `toString()`
`void` `writePortable(PortableWriter writer)` Writes fields to provided writer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PlatformDotNetPortableConfiguration

    public PlatformDotNetPortableConfiguration()

Default constructor.

#### PlatformDotNetPortableConfiguration

    public PlatformDotNetPortableConfiguration(PlatformDotNetPortableConfiguration cfg)

Copy constructor.

Parameters:
  `cfg` - configuration to copy.

### Method Detail

#### getTypesConfiguration

    public Collection<PlatformDotNetPortableTypeConfiguration> getTypesConfiguration()

Returns:
  Type cfgs.

#### setTypesConfiguration

    public void setTypesConfiguration(Collection<PlatformDotNetPortableTypeConfiguration> typesCfg)

Parameters:
  `typesCfg` - New type cfgs.

#### getTypes

    public Collection<String> getTypes()

Returns:
  Types.

#### setTypes

    public void setTypes(Collection<String> types)

Parameters:
  `types` - New types.

#### getDefaultNameMapper

    public String getDefaultNameMapper()

Returns:
  Default name mapper.

#### setDefaultNameMapper

    public void setDefaultNameMapper(String dfltNameMapper)

Parameters:
  `dfltNameMapper` - New default name mapper.

#### getDefaultIdMapper

    public String getDefaultIdMapper()

Returns:
  Default id mapper.

#### setDefaultIdMapper

    public void setDefaultIdMapper(String dfltIdMapper)

Parameters:
  `dfltIdMapper` - New default id mapper.

#### getDefaultSerializer

    public String getDefaultSerializer()

Returns:
  Default serializer.

#### setDefaultSerializer

    public void setDefaultSerializer(String dfltSerializer)

Parameters:
  `dfltSerializer` - New default serializer.

#### isDefaultMetadataEnabled

    public boolean isDefaultMetadataEnabled()

Gets default metadata enabled flag. See `setDefaultMetadataEnabled(boolean)` for more information.

Returns:
  Default metadata enabled flag.

#### setDefaultMetadataEnabled

    public void setDefaultMetadataEnabled(boolean dfltMetadataEnabled)

Sets default metadata enabled flag. When set to `true` all portable types will save it's metadata to cluster.

Can be overridden for particular type using `PlatformDotNetPortableTypeConfiguration.setMetadataEnabled(Boolean)`.

Parameters:
  `dfltMetadataEnabled` - Default metadata enabled flag.

#### isDefaultKeepDeserialized

    public boolean isDefaultKeepDeserialized()

Gets default keep deserialized flag. See `setDefaultKeepDeserialized(boolean)` for more information.

Returns:
  Flag indicates whether to cache deserialized value in IGridPortableObject.

#### setDefaultKeepDeserialized

    public void setDefaultKeepDeserialized(boolean keepDeserialized)

Sets default keep deserialized flag.

Can be overridden for particular type using `PlatformDotNetPortableTypeConfiguration.setKeepDeserialized(Boolean)`.

Parameters:
  `keepDeserialized` - Keep deserialized flag.

#### writePortable

    public void writePortable(PortableWriter writer)
                       throws PortableException

Writes fields to provided writer.

Specified by:
  `writePortable` in interface `PortableMarshalAware`
Parameters:
  `writer` - Portable object writer.
Throws:
  `PortableException` - In case of error.

#### readPortable

    public void readPortable(PortableReader reader)
                      throws PortableException

Reads fields from provided reader.

Specified by:
  `readPortable` in interface `PortableMarshalAware`
Parameters:
  `reader` - Portable object reader.
Throws:
  `PortableException` - In case of error.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.4.0
Release Date | : September 24 2015